#include <iostream>
using namespace std;

int main()
{
    int N,K,i,karte[20000];
    int brojac;
    cin>>N;
    cin>>K;
    for(i=0;i<=N-1;i++)
    {
        cin>>karte[i];
    }
    for(i=0;i<=N-1;i++)
    {
        if(karte[i]==K)
        {
            brojac=i;
        }
    }
    if(brojac==N-1)
    {
        cout<<karte[0];
    }
    if(brojac<N-1)
    {
        cout<<karte[brojac+1];
    }
    return 0;
}